Subject: [Pkg-cacti-maint] Bug#406766: Re: Bug#406766: Cacti plugin architecture

From: Mahyuddin Susanto <[email-masked]>
Date: Sat, 31 Dec 2011 10:12:49 +0700

tags 40676 - patch
stop

Hello

On 01/-9/-28163 02:59 AM, [email-masked] wrote:
> On 28/12/11 04:01, Jean-François Masure wrote:
>> Upstream now includes a patched version of source files with the
>> plugin architecture for the new 0.8.7i
>> http://www.cacti.net/downloads/cacti-0.8.7i-PIA-3.1.tar.gz
>> it should now be easier to include it with the Debian package.
>>
>> There might be some users who don’t want the Plugin Architecture
>> included (anyone ?),
>> so you may want to have a « PIA-free » and a « PIA-enabled » package.
>>
>> As it would require double packaging effort for the maintainer, I’m ok
>> for a PIA-enabled only approach.
>> Any toughts ?
> 
> I'd like the PIA included installed in the package please.
> 
> Its such a pita to add later that I no longer bother with updates to cacti.
> 

I suggest we should create two binary:
 - cacti which do not have plugin-architecture
 - cacti-pia which have plugin architecture (with pathces?) have
"Replace: cacti" in debian/control

to do so, we must declare build process twice and it's pretty difficult.
I think if we include plugin-architecture in normal cacti packages it
not good idea

Current debian/rules are located in here:
http://anonscm.debian.org/gitweb/?p=pkg-cacti/cacti.git;a=blob;f=debian/rules;hb=HEAD

what your suggest? patch welcome

-- 
[ Mahyuddin Susanto ] - http://udienz.web.id
GPG: 4096R/90B36C5B
Debian Maintainer - www.debian.org